Skip to main content
`Ctrl`+`K`

# VecGetBindingPropagates

Gets whether the state of being bound to the CPU for a GPU vector type propagates to child and some other associated objects

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecGetBindingPropagates(Vec v, PetscBool *flg)

## Input Parameter

- v - the vector

## Output Parameter

- flg - flag indicating whether the boundtocpu flag will be propagated

## See Also

Vectors and Parallel Data, `Vec`, `VecSetBindingPropagates()`

## Level

developer

## Location

src/vec/vec/interface/vector.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages